local chatcommand_cmd = "admin_example"
local chatcommand_definition = {
    params = "<name> <privilege>", -- Short parameter description
    description = "Example description", -- Full description
    privs = {[yl_template.admin_priv] = true}, -- Require the "privs" privilege to run
    func = function(name, param)
        local success = true
        if success then
            return true, "Sucess message"
        else
            return false, "Fail message"
        end
    end
    -- Called when command is run. Returns boolean success and text output.
    -- Special case: The help message is shown to the player if `func`
    -- returns false without a text output.
}

minetest.register_chatcommand(chatcommand_cmd, chatcommand_definition)
